#!/bin/env bash

# usage
[[ $1 = -start || $1 = -stop ]] || { echo "usage: $0 {-start|-stop} VERSION"; exit 1; }

. /var/epages/functions.sh
. $(etc_default)

# stop epages-hotfix if it is running
if [[ $1 = -stop && -f /etc/init.d/epages-hotfix ]] ; then
  [[ -f "$EPAGES_LOG"/epages-hotfix-$2.status ]] || {
    /etc/init.d/epages-hotfix status >/dev/null 2>&1
    RET=$?
    echo $RET > "$EPAGES_LOG"/epages-hotfix-$2.status
  }
  RET=$(cat "$EPAGES_LOG"/epages-hotfix-$2.status)
  [[ $RET != 0 ]] || /etc/init.d/epages-hotfix stop
  exit $?
fi

# update hotfix repository in /etc/yum.repos.d/epages-hotfix.repo
if [[ -f /var/epages/UpdateHotfixRepo.PL ]] ; then
  $PERL /var/epages/UpdateHotfixRepo.PL
  MIRROR=/etc/yum.repos.d/mirrors-epages-hotfix
  [[ -f $MIRROR ]] && sed -i 's,ep-server/RPMS/,ep-server/yum/qa/,' $MIRROR
fi

# start epages-hotfix if it was running before
RET=0
if [[ -f "$EPAGES_LOG"/epages-hotfix-$2.status ]] ; then
  if [[ $(cat "$EPAGES_LOG"/epages-hotfix-$2.status) = 0 ]] ; then
    /etc/init.d/epages-hotfix start
    RET=$?
  fi
  rm -f "$EPAGES_LOG"/epages-hotfix-$2.status
fi

exit $RET
